# Initiating funds using Apple Pay

***

{% hint style="info" %}
This payment method is available only for iOS operating systems.
{% endhint %}

***

<mark style="color:green;">`POST`</mark> `https://prapi.tarlanpayments.kz/transaction/api/v1/transaction/primal/apple-pay`

#### Headers

| Name                                            | Type   | Description                                        |
| ----------------------------------------------- | ------ | -------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer Auto-rotation hash (see Signature Creating) |

#### Request Body

| Name                                                     | Type    | Description                                                                                                                                                                     |
| -------------------------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| amount<mark style="color:red;">\*</mark>                 | Float   | Transaction amount                                                                                                                                                              |
| project\_client\_id                                      | String  | Client ID on the project side                                                                                                                                                   |
| callback\_url                                            | String  | Project URL for sending callback with transaction status (see Sending callback)                                                                                                 |
| failure\_redirect\_url<mark style="color:red;">\*</mark> | String  | Project page to which the user will be redirected after unsuccessful payment. If the value parameter was not uploaded, the redirect will be performed to success\_redirect\_url |
| merchant\_id<mark style="color:red;">\*</mark>           | Integer | Merchant ID assigned by the payment system                                                                                                                                      |
| project\_id<mark style="color:red;">\*</mark>            | Integer | <p>Project ID assigned by the payment system</p><p></p>                                                                                                                         |
| project\_reference\_id<mark style="color:red;">\*</mark> | String  | Order number on the project side                                                                                                                                                |
| success\_redirect\_url<mark style="color:red;">\*</mark> | String  | Project page to which the user will be redirected after successful payment                                                                                                      |
| shipment                                                 | String  | Shipping address                                                                                                                                                                |
| confirm\_url                                             | String  | Project URL for payment confirmation (see Payment Confirmation)                                                                                                                 |
| description<mark style="color:red;">\*</mark>            | String  | Description of payment (50 symbols)                                                                                                                                             |
| additional\_data                                         | Object  | More Options                                                                                                                                                                    |

{% tabs %}
{% tab title="200: OK Example of a successful response" %}

```json
{
    "status": true,
    "message": "Success",
    "result": "https://process.tarlanpayments.kz?hash=$2a$10$nhrUYWm9sDVYqCL4LKxn9ugrdC4Pszz5wGaUsDYYIqCGc8ZA4Vu0y&transaction_id=100474"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Example of an error response" %}

```json
{
    "status": false,
    "status_code": 5000,
    "message": "transaction already exists",
    "result": {}
}
```

{% endtab %}
{% endtabs %}

{% code fullWidth="false" %}

```bash
curl --location 'https://prapi.tarlanpayments.kz/transaction/api/v1/transaction/primal/apple-pay' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer sign' \
--data-raw '{
    "amount": 10,
    "callback_url": "https://test.site/callback_url",
    "confirm_url": "https://test.site/confirm_url",
    "description": "999",
    "failure_redirect_url": "https://www.test.com",
    "merchant_id": 9999,
    "project_client_id": "999",
    "project_id": 9999,
    "project_reference_id": "999",
    "shipment": "Tarlan ave, Payments str.",
    "success_redirect_url": "https://www.test.com",
    "additional_data": {
        "test1": "value1",
        "test2": 2
    }
}'
```

{% endcode %}
